commit:     47e87dea4c5942ba6f4866b770d4b490303b4e03
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 13 20:45:06 2023 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Thu Apr 13 20:46:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47e87dea

net-dialup/ppp: restore dhcp plugin

Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 net-dialup/ppp/Manifest                            |  1 +
 .../ppp/files/ppp-2.5.0-add-dhcp-plugin.patch      | 36 ++++++++++++++++++++++
 net-dialup/ppp/ppp-2.5.0.ebuild                    | 28 ++++++++++++++---
 3 files changed, 61 insertions(+), 4 deletions(-)

diff --git a/net-dialup/ppp/Manifest b/net-dialup/ppp/Manifest
index 4582f760fc8f..bb3a3fd78f67 100644
--- a/net-dialup/ppp/Manifest
+++ b/net-dialup/ppp/Manifest
@@ -1,5 +1,6 @@
 DIST ppp-2.4.9-patches-03.tar.xz 18520 BLAKE2B 
b3da095672fa57727ba11a5dba761ea3f24ee330f27252f0379dab5761d5381809176faafed86d97a6b89cc8a4cb958baa07f4900e22fe6e76b6c852e0703f0c
 SHA512 
9a035acf1915225340c12e6242f0c5db399b5f5970888d7f1799a5f125cf97b95d9fcb8c9aa2f6bd56c1544d2b10585f772d4fc1025002e3e8403011e3d2c029
 DIST ppp-2.4.9.tar.gz 719904 BLAKE2B 
7ba3eb8c98fec5599635dbd302399617e1075f3a1df090f1a94ce2bb8a5c7631e6eea82246adc33711aba5fe95e7ba7c982e2cbf1fb0d71e45f877d9b092ffb7
 SHA512 
c309f8f69f534c05547cd2f66dade0e0f198ea4c2928a7e899e660280786b3e965437a67b8c5bb81c59d0fa1818b4eb7b701d2dce015a420d380422d2bca4e1a
+DIST ppp-2.5.0-dhcp-patches.tar.gz 3653 BLAKE2B 
61c8d57a24ea09c03b7db26aec7ec14b31fb4f3829a01e2cf6430e6734a499def490879ea9168e5a1619eb274489ca868b09fe81f16ccdc27a0bbb18a4b00849
 SHA512 
96030473d1dc541a0abd63ca683eea728c1fe3811d8a2cb3fccef2b0c6fc02c10e1c01b49a05ac66222bf7477c431eeb89d8a6f6223efd3c2ae00bc4524abdf2
 DIST ppp-2.5.0.tar.gz 1170057 BLAKE2B 
6a0e9efcbff3cb499705071cc7d0e3411cf4871fd53b2bfedbb1f2cf3ad80728eb436050cf33b78e36d473be64f15907a21da17f283337455f0af379bc18272d
 SHA512 
094368ea2aa6c6e8dfba4443509857a7c1c7ff839bb6d6657743802477208c01e87db31593cef0932d3725c640e9c103179da6b742825034cda82bd31ddcc2ed
 DIST ppp-dhcpc.tgz 33497 BLAKE2B 
ca59130012f007cf45af6bcfa468c112b0d521c8b11f42d42c566dd9de55bd6d6f1b1ceb83cbae18cfe79cb5cb36ba6c6858a4718915acc6987295008aca53da
 SHA512 
aeaf791b14f5a09c0e2079072a157e65132cbff46e608bc0724e6a5827a01da934f5006e2774eb7105f83e607a52cb4987238f4385cf6f5cc86cbe305a556738
 DIST pppgetpass.8 154398 BLAKE2B 
0e74b96df6171b7382874ce08375d0122df2b564ce8c3e8081022c38ef433e22d15ad13a51d553c6e18ee6277d9c67302b50afa59126bf74a6e3dcd1b03a2b2b
 SHA512 
aca33e489d3e78a7accced4d3c33c03d933cf4c0b6607e8a6bbefef202c853248fa85caa36b53b9cbaf8b21ae60bb00fb3f95577418112630dfa6d67ad700359

diff --git a/net-dialup/ppp/files/ppp-2.5.0-add-dhcp-plugin.patch 
b/net-dialup/ppp/files/ppp-2.5.0-add-dhcp-plugin.patch
new file mode 100644
index 000000000000..d5ad7a76138c
--- /dev/null
+++ b/net-dialup/ppp/files/ppp-2.5.0-add-dhcp-plugin.patch
@@ -0,0 +1,36 @@
+From de05f72948317b40c19b1c113e18713816010dd9 Mon Sep 17 00:00:00 2001
+From: Mike Gilbert <[email protected]>
+Date: Thu, 13 Apr 2023 16:26:56 -0400
+Subject: [PATCH] Add dhcp plugin
+
+---
+ configure.ac             | 1 +
+ pppd/plugins/Makefile.am | 2 +-
+ 2 files changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index 1180f64..5db4197 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -329,6 +329,7 @@ AC_CONFIG_FILES([
+     pppd/Makefile
+     pppd/pppd.pc
+     pppd/plugins/Makefile
++    pppd/plugins/dhcp/Makefile
+     pppd/plugins/pppoe/Makefile
+     pppd/plugins/pppoatm/Makefile
+     pppd/plugins/pppol2tp/Makefile
+diff --git a/pppd/plugins/Makefile.am b/pppd/plugins/Makefile.am
+index 2826148..9708ab1 100644
+--- a/pppd/plugins/Makefile.am
++++ b/pppd/plugins/Makefile.am
+@@ -21,5 +21,5 @@ winbind_la_LDFLAGS = $(PLUGIN_LDFLAGS)
+ winbind_la_SOURCES = winbind.c
+ 
+ if !SUNOS
+-SUBDIRS = pppoe pppoatm pppol2tp radius
++SUBDIRS = dhcp pppoe pppoatm pppol2tp radius
+ endif
+-- 
+2.40.0
+

diff --git a/net-dialup/ppp/ppp-2.5.0.ebuild b/net-dialup/ppp/ppp-2.5.0.ebuild
index 7213230de0e6..58672da24450 100644
--- a/net-dialup/ppp/ppp-2.5.0.ebuild
+++ b/net-dialup/ppp/ppp-2.5.0.ebuild
@@ -2,20 +2,25 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
+AUTOTOOLS_AUTO_DEPEND=no
 
-inherit linux-info pam
+inherit autotools linux-info pam
 
 PATCH_TARBALL_NAME="${PN}-2.4.9-patches-03"
 DESCRIPTION="Point-to-Point Protocol (PPP)"
 HOMEPAGE="https://ppp.samba.org/";
 SRC_URI="https://download.samba.org/pub/ppp/${P}.tar.gz
-       
https://github.com/ppp-project/ppp/blob/${P}/contrib/pppgetpass/pppgetpass.8";
+       
https://github.com/ppp-project/ppp/blob/${P}/contrib/pppgetpass/pppgetpass.8
+       dhcp? (
+               http://www.netservers.net.uk/gpl/ppp-dhcpc.tgz
+               https://dev.gentoo.org/~floppym/dist/${P}-dhcp-patches.tar.gz
+       )"
 #https://dev.gentoo.org/~polynomial-c/${PATCH_TARBALL_NAME}.tar.xz
 
 LICENSE="BSD GPL-2"
 SLOT="0/${PV}"
 #KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
-IUSE="activefilter atm gtk pam systemd"
+IUSE="activefilter atm dhcp gtk pam systemd"
 
 DEPEND="
        dev-libs/openssl:0=
@@ -28,9 +33,24 @@ DEPEND="
 "
 RDEPEND="${DEPEND}
        !<net-misc/netifrc-0.7.1-r2"
-BDEPEND="virtual/pkgconfig"
+BDEPEND="virtual/pkgconfig
+       dhcp? ( ${AUTOTOOLS_DEPEND} )"
 PDEPEND="net-dialup/ppp-scripts"
 
+src_prepare() {
+       if use dhcp; then
+               eapply "${FILESDIR}/ppp-2.5.0-add-dhcp-plugin.patch"
+               cd "${WORKDIR}/dhcp" || die
+               eapply "${WORKDIR}/ppp-2.5.0-dhcp-patches"
+               cd "${S}" || die
+               mv "${WORKDIR}/dhcp" "${S}/pppd/plugins/dhcp" || die
+       fi
+       default
+       if use dhcp; then
+               eautoreconf
+       fi
+}
+
 src_configure() {
        local args=(
                --localstatedir="${EPREFIX}"/var

Reply via email to